<html>
<head>
    <title>Robotics Web GUI</title>
    <link rel="stylesheet" href="index.css">
    <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">
    <script type="text/javascript" src="http://static.robotwebtools.org/EventEmitter2/current/eventemitter2.min.js"></script>
    <script type="text/javascript" src="http://static.robotwebtools.org/roslibjs/current/roslib.min.js"></script>
    <script type="application/javascript" src="index.js"></script>
    <script src="http://static.robotwebtools.org/threejs/current/three.min.js"></script>
    <script src = "https://static.robotwebtools.org/threejs/r89/ColladaLoader.js"></script>
    <script src = "https://static.robotwebtools.org/threejs/r89/STLLoader.js"></script>
    <script src="http://static.robotwebtools.org/EventEmitter2/current/eventemitter2.min.js"></script>
    <script src="http://static.robotwebtools.org/roslibjs/current/roslib.min.js"></script>
    <script src="http://static.robotwebtools.org/ros3djs/current/ros3d.min.js"></script>
    <script src="mod_model_viewer/load_viewers.js" type="text/javascript"></script>
    <script src="mod_audio/js/WebAudioRecorder.js"></script>
    <script src='https://kit.fontawesome.com/a076d05399.js' crossorigin='anonymous'></script>

</head>
<body>
    

    <div id = "modules" class="modules">
    </div>

    <div id="settings" style="opacity: 0">
        <div>
            <h1>Settings</h1>
            <hr>
            <div class="settings-contents">
                <h3 style="margin-top: 0;">Grid settings</h3>
                <label>Grid size</label>
                <input type="number" value="3" maxlength="1" min="0" max="9" oninput="this.value=this.value.slice(0,this.maxLength)"> x <input type="number" value="3" maxlength="1" min="0" max="9" oninput="this.value=this.value.slice(0,this.maxLength)">
            </div>
        </div>
    </div>
</body>
    <script>
        loadModule("audio");
        loadModule("odrive");
        loadModule("power");
        loadModule("model_viewer");
        loadModule("map");
        loadModule("gamepad");
        loadModule("co2");
        loadModule("camera");
    </script>
</html>
